%define major		18
%define minimajor	18
%define libname		%mklibname totem-plparser %{major}
%define girname		%mklibname totem-plparser-gir 1.0
%define libnamedev	%mklibname totem-plparser -d
%define minilibname	%mklibname totem-plparser-mini %{minimajor}

%define url_ver		%(echo %{version}|cut -d. -f1,2)

Name:		totem-pl-parser
Version:	3.26.0
Release:	%mkrel 1
Summary:	Playlist parser library from the Totem Movie Player
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.hadess.net/totem.php3
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.24.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libarchive) >= 3.0
BuildRequires:	pkgconfig(libquvi-0.9) >= 0.9.1
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.43.0
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	locales
BuildRequires:	meson
# ovitters: for tests
BuildRequires:	lua-socket
BuildRequires:	glib-networking
BuildRequires:	gvfs

%description
Shared library used by totem.

%package	i18n
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
This package contains the translations for %{name}.

%package -n	%{libname}
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname}
Shared library used by totem.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Conflicts:	%{_lib}totem-plparser17 < 2.32.5-4

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{minilibname}
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{minilibname}
Shared library used by totem - minimal version.

%package -n	%{libnamedev}
Summary:	Static libraries, include files for totem playlist parser
Group:		Development/GNOME and GTK+
Provides:	totem-plparser-devel = %{version}
Provides:	libtotem-plparser-devel = %{version}
Requires:	%{libname} = %{version}
Requires:	%{minilibname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{libnamedev}
Static libraries, include files for totem playlist parser.

%prep
%setup -q

%build
%meson -Denable-gtk-doc=true
%meson_build

%install
export LANG=UTF-8
%meson_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%check
%meson_test

%files
%{_libexecdir}/%{name}/

%files i18n -f %{name}.lang

%files -n %{libname}
%doc README NEWS
%{_libdir}/libtotem-plparser.so.18.1.1
%{_libdir}/libtotem-plparser.so.18

%files -n %{minilibname}
%{_libdir}/libtotem-plparser-mini.so.18.1.1
%{_libdir}/libtotem-plparser-mini.so.18

%files -n %{girname}
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/TotemPlParser-1.0.gir
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}/


%changelog
* Tue Mar 27 2018 adrianomorselli <adrianomorselli> 3.26.0-1uplos2018
- imported for grilo
